383911 (1) [Avatar] Offline
#1
I am following Listing 9.2 on page 300 of the book which creates a file called squarert_view.axml. When I switch to the design mode I get an error that I need to use a Theme.AppCompat theme or descendant with the design library. I am using Visual Studio 2017 Community to create a project based on the MvvmCross template.
Jim Bennett (88) [Avatar] Offline
#2
There has been a few bugs around the designer recently. For your problem:

Are you running the latest version - VS2017 15.7.2?
There is a Theme drop down at the top, what is this set to? Sometimes changing this to be the theme from your app will resolve this issue.